﻿body {
    padding-top: 0px;
    padding-bottom: 0px;
}


/*****************************************************
               CALENDARIO PIANIFICAZIONE
******************************************************/
.toolbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 24px;
}

.calendar {
    background-color: white;
    /*border: 1px solid #e1e1e1;
    border-left: 0;
    border-bottom: 0;*/
    border: 0;
}

.calendar__week,
.calendar__header {
    display: grid;
    grid-template-columns: repeat(6, 1fr);
}

.calendar__week {
    grid-auto-rows: minmax(350px, auto);
    text-align: right;
}

.calendar__header {
    grid-auto-rows: 50px;
    align-items: center;
    text-align: center;
    /*border-bottom: 1px solid #e1e1e1;
    border-left: 1px solid #e1e1e1;*/
    border: 1px solid #e1e1e1;
}

.calendar__day {
    padding: 10px;
    position: relative;
}

.day {
    cursor: pointer;
}

.daydisabled {
    cursor: default;
    background-color: #ededed;
}

.calendar__header > div {
    text-transform: uppercase;
    font-size: 0.8em;
    font-weight: bold;
}

.calendar__day {
    border-left: 1px solid #e1e1e1;
    border-bottom: 1px solid #e1e1e1;
}

    .calendar__day:last-child {
        border-right: 1px solid #e1e1e1;
        /*border-right: 0;*/
    }

.calendar__week:last-child {
    /*border-bottom: 1px solid #e1e1e1;*/
    border-bottom: 0;
}

/*******************************************
           Circle Box Work Order
*******************************************/

.single-chart {
    width: 75px;
    justify-content: space-around;
}

.circular-chart {
    display: block;
    margin: 10px auto;
    max-width: 80%;
    max-height: 250px;
}

.circle-bg {
    fill: none;
    stroke: #eee;
    stroke-width: 3.8;
}

.circle {
    fill: none;
    stroke-width: 2.8;
    stroke-linecap: round;
    animation: progress 1s ease-out forwards;
}

@keyframes progress {
    0% {
        stroke-dasharray: 0 100;
    }
}

.circular-chart.orange .circle {
    stroke: #ff9f00;
}

.circular-chart.green .circle {
    stroke: #4CC790;
}

.circular-chart.blue .circle {
    stroke: #3c9ee5;
}

.percentage {
    fill: #000000;
    font-size: 0.5em;
    text-anchor: middle;
}

/*********************************************************
                        DASHBOARD
**********************************************************/
.card {
    margin-bottom: 1.25rem;
    box-shadow: 0 1px 2px rgba(0,0,0,.05);
    position: relative;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-direction: column;
    flex-direction: column;
    min-width: 0;
    word-wrap: break-word;
    background-color: #fff;
    background-clip: border-box;
    border: 1px solid rgba(0,0,0,.125);
    border-radius: .1875rem;
}

.card-header:not([class*=bg-]):not([class*=alpha-]) {
    background-color: transparent;
    padding-top: 1.25rem;
    padding-bottom: 1.25rem;
    border-bottom-width: 0;
}

.card > hr {
    margin-right: 0;
    margin-left: 0
}

.card > .list-group:first-child .list-group-item:first-child {
    border-top-left-radius: .1875rem;
    border-top-right-radius: .1875rem
}

.card > .list-group:last-child .list-group-item:last-child {
    border-bottom-right-radius: .1875rem;
    border-bottom-left-radius: .1875rem
}

.card-body {
    -ms-flex: 1 1 auto;
    flex: 1 1 auto;
    padding: 1.25rem
}

.card-row {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

.card-title {
    margin-bottom: 0;
    position: relative;
}

.card-subtitle {
    margin-top: -.46875rem;
    margin-bottom: 0
}

.card-text:last-child {
    margin-bottom: 0
}

.card-link:hover {
    text-decoration: none
}

.card-link + .card-link {
    margin-left: 1.25rem
}

.card-header {
    padding: .9375rem 1.25rem;
    margin-bottom: 0;
    background-color: rgba(0,0,0,.02);
    border-bottom: 1px solid rgba(0,0,0,.125)
}

    .card-header:first-child {
        border-radius: .125rem .125rem 0 0
    }

    .card-header + .list-group .list-group-item:first-child {
        border-top: 0
    }

.card-footer {
    padding: .9375rem 1.25rem;
    background-color: rgba(0,0,0,.02);
    border-top: 1px solid rgba(0,0,0,.125)
}

    .card-footer:last-child {
        border-radius: 0 0 .125rem .125rem
    }

.card-header-tabs {
    margin-right: -.625rem;
    margin-bottom: -.9375rem;
    margin-left: -.625rem;
    border-bottom: 0
}

.card-header-pills {
    margin-right: -.625rem;
    margin-left: -.625rem
}

.card-img-overlay {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    padding: 1.25rem
}

.card-img {
    width: 100%;
    border-radius: .125rem
}

.card-img-top {
    width: 100%;
    border-top-left-radius: .125rem;
    border-top-right-radius: .125rem
}

.card-img-bottom {
    width: 100%;
    border-bottom-right-radius: .125rem;
    border-bottom-left-radius: .125rem
}

.card-deck {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-direction: column;
    flex-direction: column
}

    .card-deck .card {
        margin-bottom: 1.25rem
    }

@media (min-width:576px) {
    .card-deck {
        -ms-flex-flow: row wrap;
        flex-flow: row wrap;
        margin-right: -1.25rem;
        margin-left: -1.25rem
    }

        .card-deck .card {
            display: -ms-flexbox;
            display: flex;
            -ms-flex: 1 0 0%;
            flex: 1 0 0%;
            -ms-flex-direction: column;
            flex-direction: column;
            margin-right: 1.25rem;
            margin-bottom: 0;
            margin-left: 1.25rem
        }
}

.card-group {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-direction: column;
    flex-direction: column
}

    .card-group > .card {
        margin-bottom: 1.25rem
    }

@media (min-width:576px) {
    .card-group {
        -ms-flex-flow: row wrap;
        flex-flow: row wrap
    }

        .card-group > .card {
            -ms-flex: 1 0 0%;
            flex: 1 0 0%;
            margin-bottom: 0
        }

            .card-group > .card + .card {
                margin-left: 0;
                border-left: 0
            }

            .card-group > .card:first-child {
                border-top-right-radius: 0;
                border-bottom-right-radius: 0
            }

                .card-group > .card:first-child .card-header, .card-group > .card:first-child .card-img-top {
                    border-top-right-radius: 0
                }

                .card-group > .card:first-child .card-footer, .card-group > .card:first-child .card-img-bottom {
                    border-bottom-right-radius: 0
                }

            .card-group > .card:last-child {
                border-top-left-radius: 0;
                border-bottom-left-radius: 0
            }

                .card-group > .card:last-child .card-header, .card-group > .card:last-child .card-img-top {
                    border-top-left-radius: 0
                }

                .card-group > .card:last-child .card-footer, .card-group > .card:last-child .card-img-bottom {
                    border-bottom-left-radius: 0
                }

            .card-group > .card:only-child {
                border-radius: .1875rem
            }

                .card-group > .card:only-child .card-header, .card-group > .card:only-child .card-img-top {
                    border-top-left-radius: .1875rem;
                    border-top-right-radius: .1875rem
                }

                .card-group > .card:only-child .card-footer, .card-group > .card:only-child .card-img-bottom {
                    border-bottom-right-radius: .1875rem;
                    border-bottom-left-radius: .1875rem
                }

            .card-group > .card:not(:first-child):not(:last-child):not(:only-child) {
                border-radius: 0
            }

                .card-group > .card:not(:first-child):not(:last-child):not(:only-child) .card-footer, .card-group > .card:not(:first-child):not(:last-child):not(:only-child) .card-header, .card-group > .card:not(:first-child):not(:last-child):not(:only-child) .card-img-bottom, .card-group > .card:not(:first-child):not(:last-child):not(:only-child) .card-img-top {
                    border-radius: 0
                }
}

.card-columns .card {
    margin-bottom: 1.25rem
}

@media (min-width:576px) {
    .card-columns {
        -webkit-column-count: 3;
        -moz-column-count: 3;
        column-count: 3;
        -webkit-column-gap: 1.25rem;
        -moz-column-gap: 1.25rem;
        column-gap: 1.25rem;
        orphans: 1;
        widows: 1
    }

        .card-columns .card {
            display: inline-block;
            width: 100%
        }
}

.accordion .card:not(:first-of-type):not(:last-of-type) {
    border-bottom: 0;
    border-radius: 0
}

.accordion .card:not(:first-of-type) .card-header:first-child {
    border-radius: 0
}

.accordion .card:first-of-type {
    border-bottom: 0;
    border-bottom-right-radius: 0;
    border-bottom-left-radius: 0
}

.accordion .card:last-of-type {
    border-top-left-radius: 0;
    border-top-right-radius: 0
}

.header-elements-inline .header-elements {
    display: -ms-flexbox !important;
    display: flex !important;
    -ms-flex-align: center;
    align-items: center;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    padding: 0;
    background-color: transparent;
    border: 0;
    margin-left: 0;
    margin-right: 0;
}

.circleDashboard {
    display: block;
    margin: 10px 0 30px 0;
    background-color: transparent;
    color: #fff;
    text-align: center;
    padding-bottom: 100px;
    width: 150px;
    height: 150px;
    border-radius: 50%;
    background-color: transparent;
    border: 25px solid;
    float: left;
}

.circleDashboard__inner {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    width: 150px;
    height: 100%;
}

.circleDashboard__wrapper {
    display: table;
    width: 100%;
    height: 100%;
}

.circleDashboard__content {
    display: table-cell;
    padding: 5px 0 0 0;
    vertical-align: bottom;
    font-size: 1em;
}

.circleDashboardTotal {
    display: block;
    margin: 10px 0 30px 0;
    background-color: transparent;
    color: #fff;
    text-align: center;
    width: 150px;
    height: 150px;
    border-radius: 50%;
    background-color: transparent;
    border: 75px solid;
    float: left;
    border-color: #000000;
    position: relative;
}

.circleDashboardTotal__inner {
    position: absolute;
    top: -75px;
    bottom: 0;
    left: -75px;
    width: 150px;
    height: 150px;
}

.circleDashboardTotal__wrapper {
    display: table;
    width: 100%;
    height: 100%;
}

.circleDashboardTotal__content {
    display: table-cell;
    padding: 5px 0 0 0;
    vertical-align: bottom;
    font-size: 1.5em;
    position: absolute;
    width: 100%;
    top: 55px;
}

.titoloGraficoTotalDashboard {
    font-size: 1.7em;
    width: 100%;
    text-align: center;
    color: black;
}

.circleDashboard {
    display: block;
    margin: 10px 0 30px 0;
    background-color: transparent;
    color: #fff;
    text-align: center;
    width: 150px;
    height: 150px;
    border-radius: 50%;
    background-color: transparent;
    border: 25px solid;
    float: left;
    border-color: #000000;
    position: relative;
}

.circleDashboard__inner {
    position: absolute;
    top: -25px;
    bottom: 0;
    left: -25px;
    width: 150px;
    height: 150px;
}
/*top e left devono corrispondere al border in negativo*/
.circleDashboard__wrapper {
    display: table;
    width: 100%;
    height: 100%;
}

.circleDashboard__content {
    display: table-cell;
    padding: 5px 0 0 0;
    vertical-align: bottom;
    font-size: 1.3em;
    position: absolute;
    width: 100%;
    top: 55px;
}

.titoloGraficoDashboard {
    font-size: 1.3em;
    width: 100%;
    text-align: center;
    color: black;
}

.circleDashboardStep {
    display: block;
    margin: 25px 0 0px 0;
    background-color: transparent;
    color: #fff;
    text-align: center;
    width: 80px;
    height: 80px;
    border-radius: 50%;
    background-color: transparent;
    border: 15px solid;
    float: left;
    border-color: #000000;
    position: relative;
}

.circleDashboardStep__inner {
    position: absolute;
    top: -15px;
    bottom: 0;
    left: -15px;
    width: 80px;
    height: 80px;
}
/*top e left devono corrispondere al border in negativo*/
.circleDashboardStep__wrapper {
    display: table;
    width: 100%;
    height: 100%;
}

.circleDashboardStep__content {
    display: table-cell;
    padding: 5px 0 0 0;
    vertical-align: bottom;
    font-size: 1.3em;
    position: absolute;
    width: 100%;
    top: -30px;
}

.circleDashboardStepCenter__content {
    display: table-cell;
    padding: 5px 0 0 0;
    vertical-align: bottom;
    font-size: 1.3em;
    position: absolute;
    width: 100%;
    top: 29%;
}

.contenitoreCircleDashboardStep {
    width: 80px;
}

.infoCircleDashboardStep {
    font-size: .7vw;
}

.borderCardTitle {
    border-bottom: 2px solid #f5f5f5 !important;
}

.card-body-value {
    font-size: 1.25vw;
}

.card-body-stato-value {
    font-size: 1vw;
}

@media only screen and (max-width: 600px) {
    .card-body-value {
        font-size: 3vw;
    }

    .card-body-stato-value {
        font-size: 2.75vw;
    }

    .infoCircleDashboardStep {
        font-size: 2vw;
    }
}

@media only screen and (min-width: 601px) and (max-width: 780px) {
    .card-body-value {
        font-size: 2.25vw;
    }

    .card-body-stato-value {
        font-size: 2vw;
    }

    .infoCircleDashboardStep {
        font-size: 1.5vw;
    }
}

@media only screen and (min-width: 781px) and (max-width: 992px) {
    .card-body-value {
        font-size: 1.75vw;
    }

    .card-body-stato-value {
        font-size: 1.5vw;
    }

    .infoCircleDashboardStep {
        font-size: 1.5vw;
    }
}

.row {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    margin-right: -15px;
    margin-left: -15px;
}

.col {
    -ms-flex-preferred-size: 0;
    flex-basis: 0;
    -ms-flex-positive: 1;
    flex-grow: 1;
    max-width: 100%;
    position: relative;
    width: 100%;
    padding-right: 15px;
    padding-left: 15px;
}